Summary: Python binding of Libdiscid
Name: python-discid
Version: 1.1.0
Release: %mkrel 6
# https://github.com/JonnyJD/python-discid/archive/v1.1.0.tar.gz
Source0: %{name}-%{version}.tar.gz
License: LGPLv3+
Group: Development/Python
BuildArch: noarch
Url: https://python-discid.readthedocs.org/
BuildRequires: python
Requires: libdiscid
BuildRequires: libdiscid

%description
Python-discid implements Python bindings for MusicBrainz Libdiscid. 

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.


%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT

%files
%doc CHANGES.rst README.rst
%py_puresitedir/discid/
%py_puresitedir/*.egg-info



%changelog
* Wed Jan 13 2016 gw666 <gw666> 1.1.0-6.mga6
+ Revision: 922452
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 750771
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.0-4.mga5
+ Revision: 728229
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 687964
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Feb 04 2014 gw666 <gw666> 1.1.0-1.mga5
+ Revision: 580666
- imported package python-discid


* Tue Dec 31 2013 Götz Waschk <gw666> 1.1.0-1.mga4
- initial Mageia package
